moist
Docs
moist
Docs
Introduction
AuthenticationBalance APISend Reward API
Moist API Reference

Authentication

Authenticate Moist API requests with organization API keys.

Base URL: https://moist.gg/api/v1Auth: x-api-keyDeveloper plan required

Quick start

Create an API key from your organization settings after subscribing to Developer.

Manage API keys

API keys are available from the organization dashboard after subscribing to the Developer plan.

All API endpoints require an API key in the x-api-key request header.

curl -H "x-api-key: rpl_your_api_key" https://moist.gg/api/v1/balance

Base URL

All API endpoints are relative to:

https://moist.gg/api/v1

Header

NameRequiredDescription
x-api-keyYesOrganization API key generated from the dashboard

Subscription Requirement

API requests are behind the Developer subscription paywall. If the organization does not have an active Developer subscription, API endpoints return:

{
    "error": "A Developer subscription is required to use the API",
    "code": "subscription_required"
}

The HTTP status code is 402 Payment Required.

Introduction

Learn how to use Moist's dashboard and API to send digital rewards globally.

Balance API

Retrieve your organization's current USD balance.